curl --request PUT \
--url https://api.spotflow.co/api/v1/subscriptions/{subscription-id}/payment-method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encryptedCard": "string"
}
'{
"type": "card",
"firstSix": "506124",
"lastFour": "5456",
"cardType": "verve",
"accountHolderName": "Jane Doe",
"expirationMonth": 11,
"expirationYear": 2026
}Subscriptions
Update A Subscription Payment Method
Update payment method associated with a subscription
PUT
/
subscriptions
/
{subscription-id}
/
payment-method
curl --request PUT \
--url https://api.spotflow.co/api/v1/subscriptions/{subscription-id}/payment-method \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"encryptedCard": "string"
}
'{
"type": "card",
"firstSix": "506124",
"lastFour": "5456",
"cardType": "verve",
"accountHolderName": "Jane Doe",
"expirationMonth": 11,
"expirationYear": 2026
}Authorizations
Path Parameters
Body
application/json
Response
Payment method updated successfully
- Option 1
- Option 2
Card payment method details
⌘I

